// 企业路由信息
import Layout from '@/layout/teacher.vue'

const teacher = [
  {
    path: '/recruit/teacher',
    show: true,
    redirect: '/recruit/teacher/studentList/index',
  },
  {
    path: '/recruit/teacher/studentList',
    component: Layout,
    name: 'studentList',
    meta: {
      title: '学生列表',
      enName: 'Student List',
      icon: 'mdi-account-school-outline'
    },
    children: [
      {
        path: 'index',
        meta: {
          title: '学生列表',
          enName: 'Student List',
        },
        show: true,
        component: () => import('@/views/recruit/teacher/studentList/index.vue')
      },
      {
        path: 'detail/:id',
        show: true,
        meta: {
          title: '学生详情',
          enName: 'Student Details'
        },
        component: () => import('@/views/recruit/teacher/studentList/studentDetails.vue')
      },
    ]
  },
  {
    path: '/recruit/teacher/internshipSituation',
    component: Layout,
    name: 'internshipSituation',
    meta: {
      title: '实习情况',
      enName: 'Internship Situation',
      icon: 'mdi-town-hall'
    },
    children: [
      {
        path: 'index',
        meta: {
          title: '实习情况',
          enName: 'Internship Situation',
        },
        show: true,
        component: () => import('@/views/recruit/teacher/internshipSituation/index.vue')
      },
    ]
  },
  {
    path: '/recruit/teacher/internshipReport',
    component: Layout,
    name: 'internshipReport',
    meta: {
      title: '实习报告',
      enName: 'Internship Report',
      icon: 'mdi-file-document-multiple-outline'
    },
    children: [
      {
        path: 'index',
        meta: {
          title: '实习报告',
          enName: 'Internship Report',
        },
        show: true,
        component: () => import('@/views/recruit/teacher/internshipReport/index.vue')
      },
    ]
  },
  // {
  //   path: '/recruit/teacher/internshipCompany',
  //   component: Layout,
  //   name: 'internshipCompany',
  //   meta: {
  //     title: '实习企业',
  //     enName: 'Internship Company',
  //     icon: 'mdi-home-city-outline'
  //   },
  //   children: [
  //     {
  //       path: 'index',
  //       meta: {
  //         title: '实习企业',
  //         enName: 'Internship Company',
  //       },
  //       show: true,
  //       component: () => import('@/views/recruit/teacher/internshipCompany/index.vue')
  //     },
  //   ]
  // },
  {
    path: '/recruit/teacher/teacherCertification',
    component: Layout,
    name: 'teacherCertification',
    meta: {
      title: '账号信息',
      enName: 'Teacher Certification',
      icon: 'mdi-human-male-board'
    },
    children: [
      {
        path: 'index',
        meta: {
          title: '账号信息',
          enName: 'Teacher Certification',
        },
        show: true,
        component: () => import('@/views/recruit/teacher/teacherCertification/index.vue')
      },
    ]
  },
]
export default teacher